package com.kingdee.eas.custom.dormitorysystem.dormitory;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractDormitoryInfo extends com.kingdee.eas.framework.TreeBaseInfo implements Serializable 
{
    public AbstractDormitoryInfo()
    {
        this("id");
    }
    protected AbstractDormitoryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 宿舍 's 父节点 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo getParent()
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:宿舍's 房间号property 
     */
    public String getRoomNumber()
    {
        return getString("RoomNumber");
    }
    public void setRoomNumber(String item)
    {
        setString("RoomNumber", item);
    }
    /**
     * Object:宿舍's 房间归类property 
     */
    public com.kingdee.eas.custom.dormitorysystem.enumerationset.DormitoryClassification getRoomClassification()
    {
        return com.kingdee.eas.custom.dormitorysystem.enumerationset.DormitoryClassification.getEnum(getString("RoomClassification"));
    }
    public void setRoomClassification(com.kingdee.eas.custom.dormitorysystem.enumerationset.DormitoryClassification item)
    {
		if (item != null) {
        setString("RoomClassification", item.getValue());
		}
    }
    /**
     * Object: 宿舍 's 房间类型 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.otherbasicdata.RoomTypeInfo getRoomType()
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.RoomTypeInfo)get("RoomType");
    }
    public void setRoomType(com.kingdee.eas.custom.dormitorysystem.otherbasicdata.RoomTypeInfo item)
    {
        put("RoomType", item);
    }
    /**
     * Object: 宿舍 's 宿舍类型 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.otherbasicdata.DormitoryTypeInfo getDormitoryType()
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.DormitoryTypeInfo)get("DormitoryType");
    }
    public void setDormitoryType(com.kingdee.eas.custom.dormitorysystem.otherbasicdata.DormitoryTypeInfo item)
    {
        put("DormitoryType", item);
    }
    /**
     * Object:宿舍's 入住人数property 
     */
    public int getOccupantsNumber()
    {
        return getInt("OccupantsNumber");
    }
    public void setOccupantsNumber(int item)
    {
        setInt("OccupantsNumber", item);
    }
    /**
     * Object:宿舍's 可住人数property 
     */
    public int getOccupancyCapacity()
    {
        return getInt("OccupancyCapacity");
    }
    public void setOccupancyCapacity(int item)
    {
        setInt("OccupancyCapacity", item);
    }
    /**
     * Object:宿舍's 是否满员property 
     */
    public boolean isIsFull()
    {
        return getBoolean("IsFull");
    }
    public void setIsFull(boolean item)
    {
        setBoolean("IsFull", item);
    }
    /**
     * Object:宿舍's 备注property 
     */
    public String getRemarks()
    {
        return getString("Remarks");
    }
    public void setRemarks(String item)
    {
        setString("Remarks", item);
    }
    /**
     * Object:宿舍's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BasicItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BasicItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BasicItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object:宿舍's 是否封存property 
     */
    public boolean isIsSealUp()
    {
        return getBoolean("isSealUp");
    }
    public void setIsSealUp(boolean item)
    {
        setBoolean("isSealUp", item);
    }
    /**
     * Object:宿舍's 水费单价property 
     */
    public java.math.BigDecimal getWaterprice()
    {
        return getBigDecimal("waterprice");
    }
    public void setWaterprice(java.math.BigDecimal item)
    {
        setBigDecimal("waterprice", item);
    }
    /**
     * Object:宿舍's 电费单价property 
     */
    public java.math.BigDecimal getElectricityprice()
    {
        return getBigDecimal("electricityprice");
    }
    public void setElectricityprice(java.math.BigDecimal item)
    {
        setBigDecimal("electricityprice", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("5528EA9D");
    }
}